Package org.mariadb.jdbc.internal.io.socket

## Interface SocketHandlerFunction

Functional Interface:
  This is a functional interface and can therefore be used as the assignment target for a lambda expression or method reference.

    @FunctionalInterface
    public interface SocketHandlerFunction

### Method Summary

All Methods Instance Methods Abstract Methods
`Socket` `apply​(Options options, String host)`

### Method Detail

#### apply

    Socket apply​(Options options,
                 String host)
          throws IOException

Throws:
  `IOException`